List Deliveries

List the messages sent, or being sent, to an endpoint, newest first. Each row has the message id (the `webhook-id` header), the event id (`evt_` followed by the job id, `null` for tests), the event type, the delivery status and when the next retry is due. Page with `cursor` until `next_cursor` is `null`.

Path parameters

endpoint_idstringRequired

The endpoint’s id (whe_...).

Query parameters

limitintegerOptional1-100Defaults to 25

Rows per page (1-100). Defaults to 25.

cursorstring or nullOptional

next_cursor from the previous page.

Response

Successful Response
deliverieslist of objects
next_cursorstring or null

Pass as cursor for the next page. null on the last page.

Errors

401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
503
Service Unavailable Error
© 2026 Captain